import { FinancialOverlay } from "./FinancialOverlay";
import { List$1 } from "igniteui-react-core";
import { Type, Point } from "igniteui-react-core";
import { CategoryFrame } from "./CategoryFrame";
import { Rect } from "igniteui-react-core";
import { SeriesView } from "./SeriesView";
import { FinancialSeriesView } from "./FinancialSeriesView";
import { FinancialBucketCalculator } from "./FinancialBucketCalculator";
import { Polyline } from "igniteui-react-core";
import { Polygon } from "igniteui-react-core";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class PriceChannelOverlay extends FinancialOverlay {
    static $t: Type;
    constructor();
    ry: number;
    protected kp(a: any, b: string, c: any, d: any): void;
    ec(a: Rect, b: Rect, c: SeriesView): boolean;
    protected rr(): boolean;
    q7(a: CategoryFrame, b: FinancialSeriesView): void;
    jl(a: boolean, b: SeriesView): void;
    q9(a: CategoryFrame, b: FinancialSeriesView): void;
    rx: List$1<number>;
    rw: List$1<number>;
    protected bp(): SeriesView;
    kk(a: SeriesView): void;
    private rv;
    fh(a: Point, b: boolean, c: boolean): number;
    gd(a: Point, b: boolean): number;
    gf(a: Point, b: boolean): number;
    fa(): number;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class PriceChannelBucketCalculator extends FinancialBucketCalculator {
    static $t: Type;
    constructor(a: FinancialSeriesView);
    protected f: PriceChannelOverlayView;
    getBucket(a: number): number[];
}
/**
 * @hidden
 */
export declare class PriceChannelOverlayView extends FinancialSeriesView {
    static $t: Type;
    private b8;
    private cd;
    private ce;
    readonly b7: Polygon;
    readonly cb: Polyline;
    readonly cc: Polyline;
    b3: PriceChannelOverlay;
    constructor(a: PriceChannelOverlay);
    as(): void;
    protected by(): FinancialBucketCalculator;
    b4(): void;
    b5(a: number, b: (arg1: number) => number, c: (arg1: number) => number, d: (arg1: number) => number, e: (arg1: number) => number): void;
    private b6;
    private b9;
    private ca;
    protected bc(): void;
    protected a6(a: RenderingContext, b: boolean): void;
    al(a: any): void;
}
